CVE-2023-46277

Source
https://nvd.nist.gov/vuln/detail/CVE-2023-46277
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2023-46277.json
Aliases
Published
2023-10-20T05:15:08Z
Modified
2023-11-29T10:18:48.625503Z
Details

please (aka pleaser) through 0.5.4 allows privilege escalation through the TIOCSTI and/or TIOCLINUX ioctl. (If both TIOCSTI and TIOCLINUX are disabled, this cannot be exploited.)

References

Affected packages

Git / gitlab.com/edneville/please

Affected ranges

Type
GIT
Repo
https://gitlab.com/edneville/please
Events
Introduced
0The exact introduced commit is unknown
Last affected

Affected versions

v0.*

v0.3.0
v0.3.16
v0.3.17
v0.3.18
v0.3.19
v0.3.20
v0.3.21
v0.3.22
v0.3.23
v0.3.24
v0.3.25
v0.3.3
v0.4.0
v0.4.1
v0.4.2
v0.5.0
v0.5.1
v0.5.2
v0.5.4